[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-commit] [SCM] GNU Automake branch, depcomp-pgcc, updated. v1.1
From: |
Stefano Lattarini |
Subject: |
[Automake-commit] [SCM] GNU Automake branch, depcomp-pgcc, updated. v1.12.2-7-g4e922a4 |
Date: |
Thu, 12 Jul 2012 20:24:44 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=4e922a42f01b5ba146c1b7d29e3253bee07e2c8b
The branch, depcomp-pgcc has been updated
via 4e922a42f01b5ba146c1b7d29e3253bee07e2c8b (commit)
from 32eed29a7171549080a91514374cff7341d9c08e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 4e922a42f01b5ba146c1b7d29e3253bee07e2c8b
Author: Stefano Lattarini <address@hidden>
Date: Thu Jul 12 22:04:07 2012 +0200
depcomp: style changes to Portland Group Compilers support
* lib/depcomp (pgcc): Quote 'like this', not `like this'. Other minor
quoting improvements. Remove a commented-out command. In comments,
use proper capitalization and punctuation. Make a more consistent use
of whitespace. Make fatal error messages more nicely formatted, and
send them to standard error rather than to standard output.
Signed-off-by: Stefano Lattarini <address@hidden>
-----------------------------------------------------------------------
Summary of changes:
lib/depcomp | 37 ++++++++++++++++++-------------------
1 files changed, 18 insertions(+), 19 deletions(-)
diff --git a/lib/depcomp b/lib/depcomp
index 8619fcb..0544c68 100755
--- a/lib/depcomp
+++ b/lib/depcomp
@@ -336,24 +336,23 @@ icc)
## The order of this option in the case statement is important, since the
## shell code in configure will try each of these formats in the order
-## listed in this file. A plain `-MD' option would be understood by many
+## listed in this file. A plain '-MD' option would be understood by many
## compilers, so we must ensure this comes after the gcc and icc options.
pgcc)
- # Portland's C compiler understands `-MD'.
- # Will always output deps to `file.d' where file is the root name of the
+ # Portland's C compiler understands '-MD'.
+ # Will always output deps to 'file.d' where file is the root name of the
# source file under compilation, even if file resides in a subdirectory.
- # The object file name does not affect the name of the ".d" file.
+ # The object file name does not affect the name of the '.d' file.
# pgcc 10.2 will output
# foo.o: sub/foo.c sub/foo.h
- # and will wrap long lines using \ :
+ # and will wrap long lines using '\' :
# foo.o: sub/foo.c ... \
# sub/foo.h ... \
# ...
dir=`echo "$object" | sed -e 's|/[^/]*$|/|'`
test "x$dir" = "x$object" && dir=
- ##base=`echo "$object" | sed -e 's|^.*/||' -e 's/\.o$//' -e 's/\.lo$//'`
- # use the source, not the object to determine the base name, since that's
- # sadly what pgcc will do too
+ # Use the source, not the object, to determine the base name, since
+ # that's sadly what pgcc will do too.
base=`echo "$source" | sed -e 's|^.*/||' -e 's/\.[-_a-zA-Z0-9]*$//'`
tmpdepfile="$base.d"
@@ -362,36 +361,36 @@ pgcc)
# problems in parallel builds. Use a locking strategy to avoid stomping on
# the same $tmpdepfile.
lockdir="$base.d-lock"
- trap "echo '$0: caught signal, cleaning up...' ; rm -rf $lockdir" 1 2 13 15
+ trap "echo '$0: caught signal, cleaning up...' >&2; rm -rf $lockdir" 1 2 13
15
numtries=100
i=$numtries
while test $i -gt 0 ; do
- # mkdir is a portable test-and-set
+ # mkdir is a portable test-and-set.
if mkdir $lockdir 2>/dev/null; then
- # this process acquired the lock
+ # This process acquired the lock.
"$@" -MD
stat=$?
- # release the lock
+ # Release the lock.
rm -rf $lockdir
break
else
## the lock is being held by a different process,
## wait until the winning process is done or we timeout
- while test -d $lockdir && test $i -gt 0 ; do
- sleep 1;
+ while test -d $lockdir && test $i -gt 0; do
+ sleep 1
i=`expr $i - 1`
done
fi
i=`expr $i - 1`
done
trap - 1 2 13 15
- if test $i -le 0 ; then
- echo "$0 ERROR: failed to acquire lock after $numtries attempts, check
lockdir '$lockdir'"
- exit 1;
+ if test $i -le 0; then
+ echo "$0: failed to acquire lock after $numtries attempts" >&2
+ echo "$0: check lockdir '$lockdir'" >&2
+ exit 1
fi
- if test $stat -eq 0; then :
- else
+ if test $stat -ne 0; then
rm -f "$tmpdepfile"
exit $stat
fi
hooks/post-receive
--
GNU Automake
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-commit] [SCM] GNU Automake branch, depcomp-pgcc, updated. v1.12.2-7-g4e922a4,
Stefano Lattarini <=